import request from '@/utils/request'
/**
 * 题库列表
 * @param {*} params 
 * @returns 
 */
export const getQuestionList = (params) => request('/admin/question', { params })

/**
* 保存民宿
* @param {*} data 
* @returns 
*/
export const saveQuestion = (data) =>request({
  url: '/admin/question',
  method: 'post',
  data
})
 

/**
 * 删除民宿
 * @param {*} data 
 * @returns 
 */
export const deleteQuestion = (id) => request(`/admin/question/${id}`, { method: 'delete' })
/**
 * 更新民宿
 * @param {*} data 
 * @returns 
 */
export const UpdateQuestion = (data, id) => request(`/admin/question/${id}`, { method: 'put', data })
/**
 * 查询民宿详情
 * @param {*} params 
 * @returns 
 */
export const getQuestionDetail = (id) => request(`/admin/question/${id}`)
